summaryrefslogtreecommitdiffstats
path: root/tools/test/h5diff
diff options
context:
space:
mode:
authorAllen Byrne <byrn@hdfgroup.org>2017-01-13 16:57:26 (GMT)
committerAllen Byrne <byrn@hdfgroup.org>2017-01-13 16:57:26 (GMT)
commit556ff06975684288794fe53e4ab04f43c972623a (patch)
tree639584bdf6db00299319115a40ff2a9e04296222 /tools/test/h5diff
parent0f10dedc6eee54fe3b53098ddfc9b91fff4aa480 (diff)
parentbd85e57904f1f943774bb99ea5e8b0d074db0edb (diff)
downloadhdf5-556ff06975684288794fe53e4ab04f43c972623a.zip
hdf5-556ff06975684288794fe53e4ab04f43c972623a.tar.gz
hdf5-556ff06975684288794fe53e4ab04f43c972623a.tar.bz2
Merging in latest from upstream (HDFFV/hdf5:refs/heads/develop)
* commit 'bd85e57904f1f943774bb99ea5e8b0d074db0edb': tools/test/h5diff/testh5diff.sh.in: Add code to delete copies of test .h5 files copied from tools/testfiles/vds to tools/test/h5diff/testfiles when running "make check" for an in-source build.
Diffstat (limited to 'tools/test/h5diff')
-rw-r--r--tools/test/h5diff/testh5diff.sh.in15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/test/h5diff/testh5diff.sh.in b/tools/test/h5diff/testh5diff.sh.in
index d2f1397..39b87ca 100644
--- a/tools/test/h5diff/testh5diff.sh.in
+++ b/tools/test/h5diff/testh5diff.sh.in
@@ -382,6 +382,21 @@ CLEAN_TESTFILES_AND_TESTDIR()
INODE_DDIR=`$LS -i -d $TESTDIR | $AWK -F' ' '{print $1}'`
if [ "$INODE_SDIR" != "$INODE_DDIR" ]; then
$RM $TESTDIR
+ else
+ # files in $LIST_HDF5_VDS_TEST_FILES are copied in from a different
+ # directory, so when srcdir is the same as destdir and $TESTDIR is
+ # not deleted, the copy n $TESTDIR of each file from
+ # $LIST_HDF5_VDS_TEST_FILES will need to be deleted.
+ for tstfile in $LIST_HDF5_VDS_TEST_FILES
+ do
+ # ignore '#' comment
+ echo $tstfile | tr -d ' ' | grep '^#' > /dev/null
+ RET=$?
+ if [ $RET -eq 1 ]; then
+ fname=`basename $tstfile`
+ rm $TESTDIR/$fname
+ fi
+ done
fi
}